Subject: Re: bug#77944: 31.0.50; M-x man on macOS fails with error

From: Gerd Möllmann <[email-masked]>
Date: Mon, 21 Apr 2025 19:55:20 +0200

Michael Albinus <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
> Hi Gerd,
>
>> I then
>>
>> 1 file changed, 1 insertion(+), 1 deletion(-)
>> lisp/man.el | 2 +-
>>
>> modified   lisp/man.el
>> @@ -637,7 +637,7 @@ Man-init-defvars
>>  	       "")
>>               ;; Use octal numbers.  Otherwise, \032 (Ctrl-Z) would
>>               ;; suspend remote connections.
>> -	     "-e '/^[\\o001-\\o032][\\o001-\\o032]*$/d'"
>> +	     "-e '/^[[:cntrl:]][[:cntrl:]]*$/d'"
>>  	     "-e '/\e[789]/s///g'"
>>  	     "-e '/Reformatting page.  Wait/d'"
>>  	     "-e '/Reformatting entry.  Wait/d'"
>>
>> built and M-x man in emacs -Q, and that works (with gsed uninstalled).
>
> Great!
>
>> Didn't try the other one, but I could if you want me to.
>
> Yes, please try. [[:cntrl:]] is equal to [\\o0000-\\o0037]. Much
> more than [\\o0001-\\o0032], so I'd prefer the latter.

The second one doesn't work. It gives the error again in M-x man. Also
in the shell

/Users/gerd/emacs/github/cl-packages % sed -e '/^[\\o0001-\\o0032][\\o0001-\\o0032]*$/d' /dev/null
sed: 1: "/^[\\o0001-\\o0032][\\o ...": RE error: invalid character range

I guess I had gsed still installed when I tried that in zsh, and forgot
to add the /usr/bin/.